Subject: Re: OpenSSH server installation error on Windows Vista Business/Ultimate
From: Paul August <[email-masked]>
To: David Christensen <[email-masked]>
Cc: [email-masked]
Date: Sun, 7 Jun 2009 08:13:03 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

David,

I am still having trouble to set up OpenSSH server. Following the
suggestions below, I run mmc.exe to make sure the Administrator account
is enabled. Then I logon the Administrator account and from there I
reinstalled cygwin from scratch. However, when I run ssh-host-config -y
again, I still got the same error message.

The machine I tried above is a laptop running Windows Vista Business
32bit.

Any more clues?
Paul.

David Christensen wrote:
> Paul August wrote:
> 
>> *** Warning: The file /etc/passwd is not readable by all.
>> *** Warning: Please run 'chmod +r /etc/passwd'.
>> *** Warning: The file /etc/group is not readable by all.
>> *** Warning: Please run 'chmod +r /etc/group'.
>> *** ERROR: Problem with LocalSystem or Adminstrator IDs
>> Does anyone have a clue how to deal with this problem? Is there
>> anybody who successfully installed OpenSSH server on their Vista
>> Business/Ultimate PCs?
> 
> I just built a machine using a Windows Vista Ultimate with SP1 32-bit
> OEM DVD this weekend.  Once Vista was installed and activated, I
> discovered that the Administrator account was disabled by default.  I
> did some work using the administrator-level account I created during
> installation, but I didn't like this approach -- I wanted the real
> Administrator account.  So, I STFW and enabled it using the Local Users
> and Groups MMC console:
> 
>     http://technet.microsoft.com/en-us/library/cc766343.aspx
> 
> I finished up with the real Administrator account, including installing
> Cygwin and sshd.  I made the changes noted above plus another (/var?),
> and had the script create an account to run sshd.  sshd works.
> 
> 
> HTH,
> 
> David
> 
> 

      

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/